Notify

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Notify
Elementary

## Functions
void | elm_notify_align_set (Elm_Notify *obj, double horizontal, double vertical)
| Set the alignment of the notify object.
void | elm_notify_align_get (const Elm_Notify *obj, double *horizontal, double *vertical)
| Get the alignment of the notify object.
void | elm_notify_allow_events_set (Elm_Notify *obj, Eina_Bool allow)
| Sets whether events should be passed to by a click outside its area.
Eina_Bool | elm_notify_allow_events_get (const Elm_Notify *obj)
| Return true if events are allowed below the notify object.
void | elm_notify_timeout_set (Elm_Notify *obj, double timeout)
| Set the time interval after which the notify window is going to be hidden.
double | elm_notify_timeout_get (const Elm_Notify *obj)
| Return the timeout value (in seconds)
void | elm_notify_dismiss (Elm_Notify *obj)
| Dismiss a notify object.
Evas_Object * | elm_notify_add (Evas_Object *parent)
| Add a new notify to the parent.
void | elm_notify_parent_set (Evas_Object *obj, Evas_Object *parent)
| Set the notify parent.
Evas_Object * | elm_notify_parent_get (const Evas_Object *obj)
| Get the notify parent.

## Detailed Description

Display a container in a particular region of the parent(top, bottom, etc). A timeout can be set to automatically hide the notify. This is so that, after an evas_object_show() on a notify object, if a timeout was set on it, it will automatically get hidden after that time.

Signals that you can add callbacks for are:

- "timeout" - when timeout happens on notify and it's hidden
- "block,clicked" - when a click outside of the notify happens

This widget inherits from The Elementary Container Class, so that the functions meant to act on it will wor work for mapbuf objects:

- elm_object_part_content_set
- elm_object_part_content_get
- elm_object_part_content_unset

Default content parts of the notify widget that you can use are:

- `"default"` - The main content of the notify

Notify example show usage of the API.

## Function Documentation

## ◆ elm_notify_align_set()

void elm_notify_align_set | ( | Elm_Notify * | obj,
|  | double | horizontal,
|  | double | vertical
| ) |  |

Set the alignment of the notify object.

Sets the alignment in which the notify will appear in its parent.

Note
  To fill the notify box in the parent area, please pass the ELM_NOTIFY_ALIGN_FILL to horizontal and vertical.

Parameters

  [in] | obj | The object.
  [in] | horizontal | The horizontal alignment of the notification
  [in] | vertical | The vertical alignment of the notification

Since
  1.8

## ◆ elm_notify_align_get()

void elm_notify_align_get | ( | const Elm_Notify * | obj,
|  | double * | horizontal,
|  | double * | vertical
| ) |  |

Get the alignment of the notify object.

Parameters

  [in] | obj | The object.
  [out] | horizontal | The horizontal alignment of the notification
  [out] | vertical | The vertical alignment of the notification

Since
  1.8

## ◆ elm_notify_allow_events_set()

void elm_notify_allow_events_set | ( | Elm_Notify * | obj,
|  | Eina_Bool | allow
| ) |  |

Sets whether events should be passed to by a click outside its area.

When true if the user clicks outside the window the events will be caught by the others widgets, else the events are blocked.

Note
  The default value is true.

Parameters

  [in] | obj | The object.
  [in] | allow | `true` if events are allowed, `false` otherwise

## ◆ elm_notify_allow_events_get()

Eina_Bool elm_notify_allow_events_get | ( | const Elm_Notify * | obj | ) |

Return true if events are allowed below the notify object.

Parameters

  [in] | obj | The object.

Returns
  `true` if events are allowed, `false` otherwise

## ◆ elm_notify_timeout_set()

void elm_notify_timeout_set | ( | Elm_Notify * | obj,
|  | double | timeout
| ) |  |

Set the time interval after which the notify window is going to be hidden.

This function sets a timeout and starts the timer controlling when the notify is hidden. Since calling evas_object_show() on a notify restarts the timer controlling when the notify is hidden, setting this before the notify is shown will in effect mean starting the timer when the notify is shown.

Note
  Set a value <= 0.0 to disable a running timer.
  If the value > 0.0 and the notify is previously visible, the timer will be started with this value, canceling any running timer.

Parameters

  [in] | obj | The object.
  [in] | timeout | The timeout in seconds

## ◆ elm_notify_timeout_get()

double elm_notify_timeout_get | ( | const Elm_Notify * | obj | ) |

Return the timeout value (in seconds)

Parameters

  [in] | obj | The object.

Returns
  The timeout in seconds

## ◆ elm_notify_dismiss()

void elm_notify_dismiss | ( | Elm_Notify * | obj | ) |

Dismiss a notify object.

Since
  1.17

## ◆ elm_notify_add()

Evas_Object * elm_notify_add | ( | Evas_Object * | parent | ) |

Add a new notify to the parent.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ elm_notify_parent_set()

void elm_notify_parent_set | ( | Evas_Object * | obj,
|  | Evas_Object * | parent
| ) |  |

Set the notify parent.

Parameters

  obj | The notify object
  parent | The new parent

Once the parent object is set, a previously set one will be disconnected and replaced.

## ◆ elm_notify_parent_get()

Evas_Object * elm_notify_parent_get | ( | const Evas_Object * | obj | ) |

Get the notify parent.

Parameters

  obj | The notify object

Returns
  The parent

See also
  elm_notify_parent_set()